<div xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
     style="border: 1px solid #ccc;padding:5px;margin-bottom:20px;">
    <a th:if="${#request.isUserInRole('ROLE_ADMIN')}" th:href="@{/admin}">Home | &nbsp;</a>
    <a th:if="${#request.isUserInRole('ROLE_DEAN')}" th:href="@{/dean}">Home | &nbsp;</a>
    <a th:if="${#request.isUserInRole('ROLE_DEPARTMENT')}" th:href="@{/department}">Home | &nbsp;</a>
    <a th:if="${#request.isUserInRole('ROLE_ADMINISTRATION')}" th:href="@{/administration}">Home | &nbsp;</a>
    <a th:if="${#request.userPrincipal == null}" th:href="@{/login}">Login</a>
    <a th:if="${#request.userPrincipal != null}" th:href="@{/logout}">Logout</a>

</div>